Subject: [Simple] Re: [Sipping] MSRP BNF issues

From: Ben Campbell <[email-masked]>
Date: Tue, 15 Feb 2005 20:57:26 -0600

Hi Derek,

BTW, MSRP is a SIMPLE draft, rather than a SIPPING draft.

Specific comments inline:

On Feb 14, 2005, at 9:01 PM, derek wrote:

> I'm implementing MSRP parsers & started with MSRP_url, and I've 
> noticed that the BNF described in the msrp draft does not match the 
> examples in the sessions draft.
>
>  
>
> A snippet from sessions-09:
>
>  
>
>    To-Path = "To-Path:" SP MSRP-url *( SP URL )
>
>  
>
>    MSRP_url = msrp-scheme "://" [userinfo "@"] hostport
>
>               ["/" session-id] ";" transport
>
>                         ; userinfo as defined in RFC2396, except
>
>                         ; limited to unreserved.
>
>                         ; hostport as defined in RFC3261
>
>                         ; [Todo: update with RFC number for 2396bis]
>
>  
>
> and an example from draft-ietf-simple-msrp-relays-02.txt:
>
>  
>
>     To-Path: msrps:bob.example.net:8145/foo
>
>     From-Path: msrps:example.net:9000/aeiug \
>
>      msrps:example.org:9000/kjfjan \
>
>
>  
>
> Issues:
>
>  
>
> 1. What is the '\' between path segments, and what is the line 
> separator after it? We definitely shouldn't allow a CRLF after the 
> '\'.
>

The "\" characters are merely a stylistic convention to say that there 
are really no line breaks, but the lines were too long for the draft 
format. Neither the "\" or the subsequent line break are really part of 
the message. I believe there is a comment to that effect in the draft.

> 2. Should session-id really be optional (may be a more fundamental 
> MSRP question).
>

Yes. A MSRP URL with no session ID refers to an MSRP device, just not a 
particular session. This format is useful for configuring an MSRP 
client to use a particular relay.

> 3. What happened to transport? Is it deprecated or just optional now?
>

Transport is required. This is a bug in the relay draft, which should 
be fixed in the next version.

>  
>
> --Derek
>
>  
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple